#ifndef TIP_BURNRESULT_H
#define TIP_BURNRESULT_H

#include <QDialog>
#include <QMutex>
#include <QAbstractButton>

namespace Ui {
class Tip_BurnResult;
}

class Tip_BurnResult : public QDialog
{
    Q_OBJECT

public:
    explicit Tip_BurnResult(QWidget *parent = nullptr);
    ~Tip_BurnResult();
    void init(){}
    static Tip_BurnResult *instance();
    void updatePosition(QPoint);

Q_SIGNALS:
    void success(QString);
    void fail(QString);

public slots:
    void slotsSuccess(QString);
    void slotsFailed(QString);
    void slotsUmountFailed(QString);
    void slotsWarn(QString);
    void slotsTitle(QString);
    void slotsClose();
    void slotChangeUIFontSize(int fontSize);
protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;

private slots:
    void on_buttonBox_clicked(QAbstractButton *button);

private:
    Ui::Tip_BurnResult *ui;
private:
    static Tip_BurnResult *m_oInstance;
    bool                m_bIsWayland;
    static QMutex       m_oMutex;
};
#define TIP_BURNRESULT Tip_BurnResult::instance()
#endif // TIP_BURNRESULT_H
